| Home | Libraries | People | FAQ | More

## Struct template rebind_any

boost::type_erasure::rebind_any

## Synopsis

    // In header: <boost/type_erasure/rebind_any.hpp>

    template<typename Any, typename T>
    struct rebind_any {
      // types
      typedef unspecified type;
    };

## Description

A metafunction that changes the placeholder of an any. If `T` is not a placeholder, returns `T` unchanged. This class is intended to be used in concept_interface to deduce the argument types from the arguments of the concept.

    rebind_any<any<Concept>, _a>::type -> any<Concept, _a>
    rebind_any<any<Concept>, _b&>::type -> any<Concept, _b&>
    rebind_any<any<Concept>, _c&&>::type -> any<Concept, _c&&>
    rebind_any<any<Concept>, int>::type -> int

See Also:

derived, as_param